-- ====================================================================
-- Copyright (c) 2010 The Regents of the University of Michigan and 
-- The European Organization for Nuclear Research (CERN). Licensed under the
-- Educational Community License, Version 2.0 (the "License"); you may
-- not use this file except in compliance with the License. You may
-- obtain a copy of the License at
--
-- http://www.osedu.org/licenses/ECL-2.0
--
-- Unless required by applicable law or agreed to in writing,
-- software distributed under the License is distributed on an "AS IS"
-- BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
-- or implied. See the License for the specific language governing
-- permissions and limitations under the License.
-- ====================================================================

use micala;

-- Define tasks and in which order they are done
INSERT INTO Tasks (Name, Ordering)
       VALUES('recording',           '10'),
       ('converting video to LO',    '19'),
       ('uploading raw LO',	         '20'),
       ('retrieving raw LO',         '30'),
       ('building preview',          '40'),
       ('metadata export to micala', '50'),
       ('metadata export to CDS',    '60'),
       ('uploading completed LO',    '70'),
       ('publishing flash WL', 	     '80'),
       ('publishing iPod', 	     '90'),
       ('publishing AVI', 	    '100'),
       ('Indico link to CDS',   '110');
