<%doc> ====================================================================
  Copyright (c) 2010 The Regents of the University of Michigan and
  The European Organization for Nuclear Research (CERN). Licensed under the
  Educational Community License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may
  obtain a copy of the License at
 
  http://www.osedu.org/licenses/ECL-2.0
 
  Unless required by applicable law or agreed to in writing,
  software distributed under the License is distributed on an "AS IS"
  BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
  or implied. See the License for the specific language governing
  permissions and limitations under the License.
  ==================================================================== </%doc>
<script type="text/javascript" src="/js/lectureToDo.js"></script>
<table width="95%" cellpadding="0" cellspacing="0" class="progressInfo">
    <tr>
        <td class="progressPercentage">0%</td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td class="progressPercentage" align="right">100%</td>
    </tr>
    <tr>
        <td width="100%" colspan="6">
            <input type="hidden" id="progressValue" value="${progressValue}" />
            <div id="progressbar"></div>
        </td>
    </tr>
    <tr>
        <td class="progressBorder"></td>
        <td class="progressBorder"></td>
        <td class="progressBorder"></td>
        <td class="progressBorder"></td>
        <td class="progressBorder"></td>
        <td class="progressBorderLast"></td>
    </tr>
    <tr>
        <td class="progressInfo">START<br />RECORDING</td>
        <td class="progressInfo" width="16%">STOP<br />RECORDING</td>
        <td class="progressInfo" width="16%">START<br />PROCESSING</td>
        <td class="progressInfo" width="16%">RECORDING<br />MANAGER</td>
        <td class="progressInfo" width="16%">CHECK<br />SLIDES</td>
        <td class="progressInfo" width="16%">CREATE<br />INDICO LINK</td>
    </tr>
</table>
<table class="todoList" width="80%" cellpadding="0" cellspacing="1" align="center">
    <tr class="todo_${recordingStartStatus}">
        <td class="todoHeader" colspan="3"><img src="/images/toDoHumanTask.png" alt="To-do human task" title="To-do human task" style="vertical-align: middle; margin-right: 5px;" /> Human Tasks</td>
    </tr>
    <tr class="todo_${recordingStartStatus}">
        <td class="todo_${recordingStartStatus}"></td>
        <td class="todoAction">START Recording</td>
        <td class="todoHelp" width="5%">
            <img src="/images/toDoHelpSmall.png" alt="To-do Help" class="tooltipHelpSmall" style="vertical-align: middle; margin: 2px;" />
            <div class="tooltipSmall">Start video recording using recording interface. Press the green start button exactly when the talk begins.</div>
        </td>
    </tr>
    <tr class="todo_${recordingStopStatus}">
        <td class="todo_${recordingStopStatus}"></td>
        <td class="todoAction">STOP Recording</td>
        <td class="todoHelp">
            <img src="/images/toDoHelpSmall.png" alt="To-do Help" class="tooltipHelpSmall" style="vertical-align: middle; margin: 2px;" />
            <div class="tooltipSmall">Stop video recording exactly when the talk ends.</div>
        </td>
    </tr>
    <tr class="todo_${processingStatus}">
        <td class="todo_${processingStatus}"></td>
        <td class="todoAction">START processing [Optional CROP]</td>
        <td class="todoHelp">
            <img src="/images/toDoHelpSmall.png" alt="To-do Help" class="tooltipHelpSmall" style="vertical-align: middle; margin: 2px;" />
            <div class="tooltipSmall">If video needs to be cropped from beginning and/or end, specify times using crop tools BEFORE pressing the Start Processing button.</div>
        </td>
    </tr>
    <tr class="todo_${matchRecordingManagerStatus}">
        <td class="todo_${matchRecordingManagerStatus}"></td>
        <td class="todoAction">Recording Manager</td>
        <td class="todoHelp">
            <img src="/images/toDoHelpSmall.png" alt="To-do Help" class="tooltipHelpSmall" style="vertical-align: middle; margin: 2px;" />
            <div class="tooltipSmall">Use the Indico Recording Manager to match Indico metadata with an existing recording.</div>
        </td>
    </tr>
    <tr class="todo_${checkSlidesStatus}">
        <td class="todo_${checkSlidesStatus}"></td>
        <td class="todoAction">Check slides and upload</td>
        <td class="todoHelp">
            <img src="/images/toDoHelpSmall.png" alt="To-do Help" class="tooltipHelpBig" style="vertical-align: middle; margin: 2px;" />
            <div class="tooltipBig">
            To-do
            <ul style="margin-top: 0;">
                <li>Open the folder 'slides-capture-analyzed', check slides and remove duplicates.</li>
                <li>Copy/move slides from 'slides-capture-analyzed' to 'slides' folder.</li>
                <li><u>Make sure that lecture.xml is inside the Lecture Object.</u></li>
                <li>Move the entire Lecture Object folder from C:\LectureObjects to C:\LectureObjects\UPLOAD-HOTDIR. The micala daemon will do the rest.</li>
                <li><u>The name of the first slide MUST match the timestamp of the Lecture Object folder name.</u></li>
            </ul>
            </div>
        </td>
    </tr>
    <tr class="todo_${indicoLinkToCDS}">
        <td class="todo_${indicoLinkToCDS}"></td>
        <td class="todoAction">Insert Indico link to CDS</td>
        <td class="todoHelp">
            <img src="/images/toDoHelpSmall.png" alt="To-do Help" class="tooltipHelpSmall" style="vertical-align: middle; margin: 2px;" />
            <div class="tooltipSmall">Go back to the Indico Recording Manager and press the button to create 'Video in CDS' link.</div>
    </tr>
</table>