<%doc> ====================================================================
  Copyright (c) 2010 The Regents of the University of Michigan and
  The European Organization for Nuclear Research (CERN). Licensed under the
  Educational Community License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may
  obtain a copy of the License at
 
  http://www.osedu.org/licenses/ECL-2.0
 
  Unless required by applicable law or agreed to in writing,
  software distributed under the License is distributed on an "AS IS"
  BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
  or implied. See the License for the specific language governing
  permissions and limitations under the License.
  ==================================================================== </%doc>
<form action="machines.py" method="post" id="submitFormMachines">
    % if machine:
    <%
        if machine["Hostname"] is None:
            machine["Hostname"] = ''
        if machine["IP"] is None:
            machine["IP"] = ''
        if machine["CPU"] is None:
            machine["CPU"] = ''
        if machine["Memory"] is None:
            machine["Memory"] = ''
        if machine["Disk"] is None:
            machine["Disk"] = ''
        if machine["OS"] is None:
            machine["OS"] = ''
        if machine["idVenue"] is None:
            machine["idVenue"] = ''
    %>
    <table align="center" cellspacing="0" cellpadding="2">
    	<tr>
			<td>Hostname</td>
			<td><input type="text" id="Hostname" name="Hostname" value="${machine['Hostname']}" size="50" /></td>
		</tr>
		<tr>
			<td>IP</td>
			<td><input type="text" id="IP" name="IP" value="${machine['IP']}" /></td>
		</tr>
		<tr>
			<td>CPU</td>
			<td><input type="text" id="CPU" name="CPU" value="${machine['CPU']}" size="30" /></td>
		</tr>
		<tr>
			<td>Memory</td>
			<td><input type="text" id="Memory" name="Memory" value="${machine['Memory']}" size="20" /></td>
		</tr>
		<tr>
			<td>Disk</td>
			<td><input type="text" id="Disk" name="Disk" value="${machine['Disk']}" size="20" /></td>
		</tr>
		<tr>
			<td>OS</td>
			<td><input type="text" id="OS" name="OS" value="${machine['OS']}" size="30" /></td>
		</tr>
		<tr>
			<td>Venue</td>
			<td>
			     % if listVenues:
			     <select name="idVenue">
			         % for venue in listVenues:
			         <%
			         selected = ''
			         if machine['idVenue'] == venue["idVenue"]:
			             selected = 'selected="selected"'
			         %>
			         <option value="${venue["idVenue"]}" ${selected}>${venue["RoomName"]}</option>
			         % endfor
			     </select>
			     % else:
                 <div class="noEntries">No venues still inserted. Insert a new venue first.</div>
                 <input type="hidden" name="idVenue" value="" />
                 % endif
			</td>
		</tr>
    </table>
    <div class="machineSubmit">
    % if machine['idMachine'] == '0' :
    <button id="btnSubmit">Insert new machine</button>
    <input type="hidden" name="action" value="insertMachine" />
    % else:
    <button id="btnSubmit">Submit changes</button>
    <input type="hidden" name="action" value="editMachine" />
    % endif
    </div>
    <input type="hidden" name="idMachine" value="${machine['idMachine']}" />
   	% endif
</form>
<div id="confirmBox" title="Submit Changes" class="infoBox">
Are you sure you want to change the venue information?
<div align="center"><b>IMPORTANT</b></div>
Changes to the database cannot be undone!
</div>
<div id="errorBox" title="Only numbers permitted" class="errorBox">
You must insert only numbers for Memory and Disk fields
</div>