<?php
/* ====================================================================
 * Copyright (c) 2010 The Regents of the University of Michigan and
 * The European Organization for Nuclear Research (CERN). Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
  ==================================================================== */
    $room = $_GET['room'];
    $prettyRoom = $_GET['prettyRoom'];
    $newRoom = $_GET['newRoom'];
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>MScribe - Board Setup</title>

<script type="text/javascript">
    var imageWidth = 384;
    var imageHeight = 240;
    var offsetLeftIE = 5;    //set according to total offset left of the canvas
    var room = '<?php echo $room; ?>';
    var newRoom = <?php echo $newRoom; ?>;
    var prettyRoom = '<?php echo $prettyRoom; ?>';
</script>
<script type="text/javascript" src="navigation.js"></script>
<script type="text/javascript" src="cameracontrol.js"></script>
<script type="text/javascript" src="board.js"></script>
<script type="text/javascript" src="sarissa.js"></script>
<link rel="stylesheet" type="text/css" href="main.css"/>
</head>

<body onload="javascript:checkCam();initBoardControls();initCamControls(true, 0);">
<?php include("header.php"); ?>

<table class="default" border="0" cellpadding="0" cellspacing="0" style="position:relative;border:1px solid #000;padding:5px 5px 5px 5px;">
    <tr>
        <td style="padding-right:5px;">
            <div id="container" style="position:relative;">
                <img src="cam.jpg" id="cam">
		<div id="canvas" style="position:absolute;left:0px;top:0px;"></div>
                <div id="topLayer" style="position:absolute;left:0px;top:0px;width:384px;height:240px;"></div>
                <script type="text/javascript">
                    <!--
                    //Graphics object must be declared after "canvas" is created
                    var jg = new jsGraphics("canvas");
                    jg.setStroke(1);
                    jg.setColor('#FFF');
                    //-->
                </script>
            </div>
        </td>
        <td style="border-left:1px solid #000;border-right:1px solid #000;padding-left:5px;padding-right:5px;">
            <?php include("controls.php"); ?>
        </td>
        <td valign="top" style="padding-left:5px;"><p><u>Saved Boards</u></p>
            <table border="0" cellpadding="0" cellspacing="0">
	        <tr valign="top" style="height:210px"><td>
                    <div id="savedBoards"></div>
                </td></tr>
                <tr valign="bottom"><td>
                    <div style="text-align:center;">
                        <input id="saveBoardButton" type="button" value="Save Current Board" onclick="javascript:saveBoard();"></input><br />
                       <input id="newBoardButton" type="button" value="Create New Board" onclick="javascript:newBoard(false);"></input>
                    </div>
                </td></tr>
            </table>
        </td>
    </tr>
    <tr style="height:5px;" />
    <tr>
        <td colspan="3">
            <div style="border-top:1px solid #000;padding-top:3px;padding-bottom:0px;" id="divStatus"></div>
        </td>
    </tr>
</table>

<br />
<div style="width:400px;font-size:12px;font-family:arial;"><b>Before hitting finish</b>, make sure that each board is exactly where you want it and that each one has been saved. To check them, click on the hyperlinks for 'Board 1', 'Board 2', etc. and make sure the camera is pointing in the right direction; you can still move them and edit them and then hit save to resave the board.<br /><b>If there are no boards</b>, then just hit finish.<br /></div>
<input id="finishButton" type="button" value="Finish" onclick="javascript:saveBoardsToFile();"></input>

<?php include("footer.php"); ?>
</body>
</html>

