<!--CameraControls-->
<!-- ====================================================================
  Copyright (c) 2010 The Regents of the University of Michigan and
  The European Organization for Nuclear Research (CERN). Licensed under the
  Educational Community License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may
  obtain a copy of the License at
 
  http://www.osedu.org/licenses/ECL-2.0
 
  Unless required by applicable law or agreed to in writing,
  software distributed under the License is distributed on an "AS IS"
  BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
  or implied. See the License for the specific language governing
  permissions and limitations under the License.
  ==================================================================== -->
<div align="center">
    <div class="fineControl">
        <div title="Fine Zoom" onclick="javascript:moveCam(false, false, true, 0, 0, nudgeZoomIn, true)"><img src="images/zin.png"></div>
    </div>
    <div title="Click to Zoom" style="position:relative;height:150px;width:21px;cursor:pointer;" id="sliderContainer">
        <img src="images/zoombar.png">
        <img src="images/slider.png" id="slider" style="position:absolute;top:143px;left:0px;">
    </div>
    <div class="fineControl">
        <div title="Fine Zoom" onclick="javascript:moveCam(false, false, true, 0, 0, nudgeZoomOut, true)"><img src="images/zout.png"></div>
    </div>
    
    <div class="fineControl">
        <table class="default" border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td />
                <td><div title="Nudge Up" onclick="javascript:moveCam(false, true, false, 0, nudgeUp, 0, true)"><img src="images/up.png"></div><td>
                <td />
            </tr>
            <tr>
                <td><div title="Nudge Left" onclick="javascript:moveCam(true, false, false, nudgeLeft, 0, 0, true)"><img src="images/left.png"></div></td>
                <td><div title="Zero the Camera" onclick="javascript:moveCam(true, true, true, 0, 0, 0, false)"><img src="images/zero.png"></div></td>
                <td><div title="Nudge Right" onclick="javascript:moveCam(true, false, false, nudgeRight, 0, 0, true)"><img src="images/right.png"></div></td>
            </tr>
            <tr>
                <td />
                <td><div title="Nudge Down" onclick="javascript:moveCam(false, true, false, 0, nudgeDown, 0, true)"><img src="images/down.png"></div></td>
                <td />
            </tr>
            <tr>
                <td colspan="3">
                    <span align="left">Nudge:</span><br />
                    <input type="radio" name="zoom" checked onclick="javascript:changeNudge(false);">a little<br />
                    <input type="radio" name="zoom" onclick="javascript:changeNudge(true);">a lot<br />
                </td>
            </tr>
        </table>
    </div>
</div>
<!--/CameraControls-->