<?php

/* ====================================================================
 * Copyright (c) 2010 The Regents of the University of Michigan and
 * The European Organization for Nuclear Research (CERN). Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
  ==================================================================== */

    $room = $_GET['room'];
    $prettyRoom = $_GET['prettyRoom'];
    $newRoom = $_GET['newRoom'];
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>MScribe - Lecture Recording</title>

<script type="text/javascript">
    var imageWidth = 384;
    var imageHeight = 240;
    var offsetLeftIE = 5;    //set according to total offset left of the canvas
    var room = '<?php echo $room; ?>';
    var newRoom = <?php echo $newRoom; ?>;
    var prettyRoom = '<?php echo $prettyRoom; ?>';
</script>
<script type="text/javascript" src="lecture.js"></script>
<script type="text/javascript" src="navigation.js"></script>
<script type="text/javascript" src="cameracontrol.js"></script>
<script type="text/javascript" src="board.js"></script>
<script type="text/javascript" src="sarissa.js"></script>
<link rel="stylesheet" type="text/css" href="main.css"/>
</head>

<body onload="javascript:checkCam();moveCam(true, true, true, 0, 0, 0, false);">
<?php include("header.php"); ?>
<br />

<table class="default" border="0" cellspacing="5" cellpadding="5">
<tr>
  <td style="text-align:center;border:#2f4678 solid thin;width:200px;">
    <b>1. Necklace Type</b><br />
    <ul style="list-style:none;">
      <li><input name="necklace" type="radio" onclick="javascript:setFStop(11);" default/>New-Style</li>
      <li><input name="necklace" type="radio" onclick="javascript:setFStop(1.6);" />Old-Style</li>
    </ul>
  </td>

  <td style="text-align:center;border:#2f4678 solid thin;width:200px;">
    <b>2. Tracking</b><br />
    <ul style="list-style:none;">
      <li><input id="startTrack" type="button" value="Start Tracking" onclick="javascript:startTrack();" /></li>
      <li><input id="stopTrack" type="button" value="Stop Tracking"  onclick="javascript:stopTrack();" disabled="disabled" /></li>
    </ul>
    <div id="trackStatus">&nbsp;</div>
  </td>

  <td style="text-align:center;border:#2f4678 solid thin;width:200px;">
    <b>3. Recording</b><br />
    <ul style="list-style:none;">
      <li><input id="startRecord" type="button" value="Start Recording" onclick="javascript:startRecord(<?php echo $_GET['numBoards']; ?>);" /></li>
      <li><input id="stopRecord" type="button" value="Stop Recording"  onclick="javascript:stopRecord();" disabled="disabled" /></li>
    </ul>
    <div id="recordStatus">&nbsp;</div>
  </td>
</tr>
</table>

<div id="lectureStatus" style="display:none;">
    <img id="videoPic" src='' style="width:25%;height:25%;" />
    <br />
    <img id="boardPic1" src='' style="display:none;width:25%;height:25%;" />
    <img id="boardPic2" src='' style="display:none;width:25%;height:25%;" />
    <img id="boardPic3" src='' style="display:none;width:25%;height:25%;" />
    <br />
    <img id="vgaPic" src='' style="width:320px;height:240px;" />
</div>

<?php include("footer.php"); ?>
</body>
</html>
