# ====================================================================
# Copyright (c) 2010 The Regents of the University of Michigan and
# The European Organization for Nuclear Research (CERN). Licensed under the
# Educational Community License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may
# obtain a copy of the License at
#
# http://www.osedu.org/licenses/ECL-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an "AS IS"
# BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
# or implied. See the License for the specific language governing
# permissions and limitations under the License.
# ====================================================================

######################################################
# Simple CGI script to receive XML files and store them in a given directory
#
######################################################
import os
import sys
import cgi
import cgitb
# Get configuration variables
sys.path.append("C:\\WLAP-software")
import conf

# for displaying tracebacks in web page
cgitb.enable()

# Get a list of server vars, for testing
#cgi.test()

# header (the newline is necessary to end the header)
print 'Content-type: text/html'
print

# display beginning HTML tags
print "<html><title>upload</title><body>"

# Use cgi module to get submitted POST variables
form = cgi.FieldStorage()

# We are expecting to receive two POST variables:
# LOID: the lecture object ID in the form YYYYMMDD-RECORDINGDEVICE-HHMMSS
# micalaxml: XML file exported from Indico and to be 
if "micalaxml" in form and "LOID" in form:
    filename = os.path.join(conf.dirUpload, "lecture-%s.xml" % form["LOID"].value)
    f = open(filename, "w")
    f.write(form["micalaxml"].value)
    f.close()
    print "received %s" % filename
else:
    print "no data received"

# display ending HTML tags
print "</body></html>"
