<%doc> ====================================================================
  Copyright (c) 2010 The Regents of the University of Michigan and
  The European Organization for Nuclear Research (CERN). Licensed under the
  Educational Community License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may
  obtain a copy of the License at

  http://www.osedu.org/licenses/ECL-2.0

  Unless required by applicable law or agreed to in writing,
  software distributed under the License is distributed on an "AS IS"
  BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
  or implied. See the License for the specific language governing
  permissions and limitations under the License.
  ==================================================================== </%doc>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
    <head>
        ${self.title_tag()}
        <link href="/css/stylesheet.css" rel="stylesheet" type="text/css" media="screen" />
        <link href="/css/jquery-ui-css/jquery-ui-1.8.6.custom.css" rel="stylesheet" type="text/css" media="screen" />
        <script src="/js/jquery-1.4.2.min.js" type="text/javascript"></script>
        <script src="/js/jquery-ui-1.8.6.custom.min.js" type="text/javascript"></script>
        <script src="/js/jquery.tools.min.js" type="text/javascript"></script>
        ${self.js_import()}
    </head>
    <body>
    	<table width="100%" cellpadding="0" cellspacing="0">
    		<tr>
    			<td class="headerFirst"></td>
    		</tr>
    		<tr>
    			<td class="headerSecond"></td>
    		</tr>
    		<tr>
    			<td class="headerLogo" valign="center"><img src="/images/micalalogo.png" alt="Micala Logo" title="Micala Logo" /></td>
    		</tr>
    		<tr>
    			<td class="headerMenu" valign="center">
    				<ul class="headerMenu">
    					<li><a href="/">HOME PAGE</a></li>
    					<li><a href="/monitor/monitor.py">MONITORING</a></li>
    					<li><a href="#" class="space">&nbsp;</a></li>
    					<li><a href="/admin/" class="admin">ADMIN SECTION</a></li>
    				</ul>
    			</td>
    		</tr>
    	</table>
    	<!-- title section -->
        <div class="pageTitle">
           <table cellpadding="0" cellspacing="0">
               <tr>
                   <td>${self.title_page()}</td>
                   <td><span id="loading"><img src="/images/loading.gif" alt="Loading" title="Loading" style="display:none; margin: 0 10px;" /></span></td>
               </tr>
           </table>
        </div>
        <!-- body section -->
        <div id="container">
            ${self.body()}
        </div>
        <!-- footer section -->
        <div id="footer">
            A comprehensive lecture archiving system, including components for <br />recording, processing, archiving and disseminating multimedia web lectures<br />
            website: <a href="http://micala.sourceforge.net/" target="_blank">http://micala.sourceforge.net/</a>
        </div>
    </body>
</html>