<%doc> ====================================================================
  Copyright (c) 2010 The Regents of the University of Michigan and
  The European Organization for Nuclear Research (CERN). Licensed under the
  Educational Community License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may
  obtain a copy of the License at
 
  http://www.osedu.org/licenses/ECL-2.0
 
  Unless required by applicable law or agreed to in writing,
  software distributed under the License is distributed on an "AS IS"
  BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
  or implied. See the License for the specific language governing
  permissions and limitations under the License.
  ==================================================================== </%doc>
<form action="venues.py" method="post" id="submitFormVenues">
    % if venue:
    <%
        if venue["RoomName"] is None:
            venue["RoomName"] = ''
        if venue["IndicoRoomID"] is None:
            venue["IndicoRoomID"] = ''
    %>
    <table align="center" cellspacing="0" cellpadding="2">
    	<tr>
			<td>Room name</td>
			<td><input type="text" id="RoomName" name="RoomName" value="${venue['RoomName']}" size="50" /></td>
		</tr>
		<tr>
			<td valign="top">Indico RoomID </td>
			<td>
			     <input type="text" id="IndicoRoomID" name="IndicoRoomID" value="${venue['IndicoRoomID']}" />
			     <br />
                 <span class="smallText"><i>To get the Indico Room ID, <a href="http://indico.cern.ch/roomBooking.py/search4Rooms?forNewBooking=False" target="_blank">goto to Indico - Search rooms</a>, search the desired room,<br />click on 'Room details' and get the room ID by the URL parameter 'roomID'</i></span>
			</td>
		</tr>
    </table>
    <div class="venueSubmit">
    % if venue['idVenue'] == '0' :
    <button id="btnSubmit">Insert new venue</button>
    <input type="hidden" name="action" value="insertVenue" />
    % else:
    <button id="btnSubmit">Submit changes</button>
    <input type="hidden" name="action" value="editVenue" />
    % endif
    </div>
    <input type="hidden" name="idVenue" value="${venue['idVenue']}" />
   	% endif
</form>
<div id="confirmBox" title="Submit Changes" class="infoBox">
Are you sure you want to change the venue information?
<div align="center"><b>IMPORTANT</b></div>
Changes to the database cannot be undone!
</div>
<div id="errorBox" title="Only numbers permitted" class="errorBox">
You must insert only numbers for IndicoRoomID field
</div>