<%doc> ====================================================================
  Copyright (c) 2010 The Regents of the University of Michigan and
  The European Organization for Nuclear Research (CERN). Licensed under the
  Educational Community License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may
  obtain a copy of the License at
 
  http://www.osedu.org/licenses/ECL-2.0
 
  Unless required by applicable law or agreed to in writing,
  software distributed under the License is distributed on an "AS IS"
  BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
  or implied. See the License for the specific language governing
  permissions and limitations under the License.
  ==================================================================== </%doc>
<%inherit file="/baseAdmin.mako" />
<%def name="title_tag()">
	<title>Micala - Restricted Area - Venues</title>
</%def>
<%def name="js_import()">
	<script src="/js/venue.js" type="text/javascript"></script>
</%def>
<%def name="title_page()">
	Venues
</%def>
<table>
	<tr>
		<td width="400" valign="top">
			<div class="pageSubTitle"><img src="/images/venueList.png" alt="Venue list" title="Venue list" style="vertical-align: middle; margin-right: 5px;" />Venues List</div>
			<div>
				<div class="venueNew"><img src="/images/newVenue.png" alt="New venue" title="New venue" style="vertical-align: middle;" /> <a href="#" onClick="venueShowForm('0');return false;" />New venue</a></div>
				<div class="venueList">
				% if listVenues:
				<table width="98%" cellspacing="0" cellpadding="2" class="venueList">
					<tr class="venueListHeader">
						<td>Room name</td>
						<td align="center">Indico ID</td>
						<td></td>
					</tr>
				<% i=0 %>
				% for venue in listVenues:
				<%
                    if venue["RoomName"] is None:
                        venue["RoomName"] = ''
                    if venue["IndicoRoomID"] is None:
                        venue["IndicoRoomID"] = ''
                %>
					<tr class="venueListRow${i}" onClick="venueShowForm('${venue["idVenue"]}');">
						<td>${venue["RoomName"]}</td>
						<td align="center">${venue["IndicoRoomID"]}</td>
						<td align="center"><a href="#" onClick="venueShowForm('${venue["idVenue"]}');return false;" /><img src="/images/editIcon.png" alt="Edit" title="Edit" style="vertical-align: middle; border:0;" /></a></li>
					</tr>
				<%
					i+=1
					i=i%2
				%>
				% endfor
				</table>
				% else:
				<div class="noEntries">No venues still inserted. Insert a new venue.</div>
				% endif
				</div>
			</div>
		</td>
		<td class="border">&nbsp;</td>
		<td valign="top">
			<div class="pageSubTitle"><img src="/images/venueDetails.png" alt="Venue details" title="Venue details" style="vertical-align: middle; margin-right: 5px;" />Venue details</div>
			<div id="venueDetails">
				<div class="venueDetailsInfo">Select a venue to view/edit details.<br />Click on 'New venue' to insert a new venue</div>
			</div>
		</td>
	</tr>
</table>