/* ====================================================================
 * Copyright (c) 2010 The Regents of the University of Michigan and
 * The European Organization for Nuclear Research (CERN). Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
  ==================================================================== */


    /************************************************************************************************************
    (C) www.dhtmlgoodies.com, January 2006
    
    This is a script from www.dhtmlgoodies.com. You will find this and a lot of other scripts at our website.    
    
    Terms of use:
    You are free to use this script as long as the copyright message is kept intact. However, you may not
    redistribute, sell or repost it without our permission.
    
    Thank you!
    
    www.dhtmlgoodies.com
    Alf Magne Kalleland
    
    ************************************************************************************************************/    

    var dragObjArray = new Array();
    var dragObjCloneArray = new Array();
    var numericIdToBeDragged = false;
    var dragDropTimer = -1;
    
    var mouse_x;
    var mouse_y;
    
    var el_x;
    var el_y;
    
    var currentZIndex = 10000;
    var dragableElementMoved = new Array();
    
    function getTopPos(inputObj)
    {
      var returnValue = inputObj.offsetTop;
      if(navigator.appName.search("Explorer") != -1) return returnValue;
      return returnValue;
    }
    
    function getLeftPos(inputObj)
    {
      var returnValue = inputObj.offsetLeft;
      if(navigator.appName.search("Explorer") != -1) return returnValue-offsetLeftIE;
      return returnValue;
    }

    function initDragDropElement(e)
    {
        if(document.all)
        	e = event;
        numericIdToBeDragged = this.className.replace(/[^0-9]/g,'');
        dragDropTimer=0;
        mouse_x = e.clientX;
        mouse_y = e.clientY;
        
        currentZIndex = currentZIndex + 1;
        
        dragObjCloneArray[numericIdToBeDragged].style.zIndex = currentZIndex;
        
        if(!dragableElementMoved[numericIdToBeDragged]){
        	dragObjCloneArray[numericIdToBeDragged].style.top = getTopPos(dragObjArray[numericIdToBeDragged]) + 'px';
        	dragObjCloneArray[numericIdToBeDragged].style.left = getLeftPos(dragObjArray[numericIdToBeDragged]) + 'px';
        }
        el_x = dragObjCloneArray[numericIdToBeDragged].style.left.replace('px','')/1;
        el_y = dragObjCloneArray[numericIdToBeDragged].style.top.replace('px','')/1;
        timerDragDropElement();
        return false;
    }
    
    function timerDragDropElement()
    {
        if(dragDropTimer>=0 && dragDropTimer<10) {
        	dragDropTimer = dragDropTimer + 1;
        	setTimeout('timerDragDropElement()',5);
        	return;			
        }
        if(dragDropTimer>=10){
        	if(dragObjCloneArray[numericIdToBeDragged].style.display=='none'){
        		dragObjArray[numericIdToBeDragged].style.visibility = 'hidden';
        		dragObjCloneArray[numericIdToBeDragged].style.display = 'block';
        		dragObjCloneArray[numericIdToBeDragged].style.visibility = 'visible';
        		dragObjCloneArray[numericIdToBeDragged].style.top = getTopPos(dragObjArray[numericIdToBeDragged]) + 'px';
        		dragObjCloneArray[numericIdToBeDragged].style.left = getLeftPos(dragObjArray[numericIdToBeDragged]) + 'px';
        		dragableElementMoved[numericIdToBeDragged] = true;
        	}
        }
    }
    
    function cancelEvent()
    {
        return false;
    }
    
    function cancelSelectionEvent()
    {
        if(dragDropTimer>=0)return false;
        return true;
    }
    
    function moveDragableElement(e)
    {
        if(document.all)e = event;
        if(dragDropTimer<10) {
        	return;
        }
        clearCanvas();
        if((e.clientX - mouse_x + el_x) < (imageWidth - offsetSquare) &&
           (e.clientX - mouse_x + el_x) > -offsetSquare) {
        	dragObjCloneArray[numericIdToBeDragged].style.left = (e.clientX - mouse_x + el_x) + 'px';
        }
        if((e.clientY - mouse_y + el_y) < (imageHeight - offsetSquare)&&
           (e.clientY - mouse_y + el_y) > -offsetSquare) {
        	dragObjCloneArray[numericIdToBeDragged].style.top = (e.clientY - mouse_y + el_y) + 'px';
        }
        update();
    }
    
    function stop_dragDropElement()
    {
        dragDropTimer = -1;
        
        numericIdToBeDragged = false;

        makeTransparentPoly();
    }
    
    function initdragableElements()
    {
        var tmpElements = new Array();
        var allObjects = document.getElementsByTagName('*');
        for(var no=0;no<allObjects.length;no++){
        	if(allObjects[no].className=='dragableElement'){
        		allObjects[no].style.cursor = 'move';
        		tmpElements[tmpElements.length] = allObjects[no];
        	}
        }
        
        for(var no=0;no<tmpElements.length;no++){
        	var el = tmpElements[no].cloneNode(true);
        	tmpElements[no].className='dragableElement' + no;
		el.onmousedown = initDragDropElement;
		el.onmouseup = makeTransparentPoly;
        	el.className='dragableElementClone' + no;			
            
        	el.style.position='absolute';
        	el.style.display='none';
        	el.style.visibility='hidden';
        	
        	el.style.top = getTopPos(tmpElements[no]) + 'px';
        	el.style.left = getLeftPos(tmpElements[no]) + 'px';
        	tmpElements[no].parentNode.insertBefore(el,tmpElements[no]);
        	tmpElements[no].onmousedown = initDragDropElement;
        	
        	dragObjArray[no] = tmpElements[no]; 
        	dragObjCloneArray[no] = el; 
        }
        
        document.body.onmousemove = moveDragableElement;
        document.body.onmouseup = stop_dragDropElement;
        document.body.onselectstart = cancelSelectionEvent;
        document.body.ondragstart = cancelEvent;
        
    }


/*****************************************************************************
jsGraphics
******************************************************************************/

/* This notice must be untouched at all times.

wz_jsgraphics.js    v. 2.36
The latest version is available at
http://www.walterzorn.com
or http://www.devira.com
or http://www.walterzorn.de

Copyright (c) 2002-2004 Walter Zorn. All rights reserved.
Created 3. 11. 2002 by Walter Zorn (Web: http://www.walterzorn.com )
Last modified: 21. 6. 2006

Performance optimizations for Internet Explorer
by Thomas Frank and John Holdsworth.
fillPolygon method implemented by Matthieu Haller.

High Performance JavaScript Graphics Library.
Provides methods
- to draw lines, rectangles, ellipses, polygons
    with specifiable line thickness,
- to fill rectangles and ellipses
- to draw text.
NOTE: Operations, functions and branching have rather been optimized
to efficiency and speed than to shortness of source code.

LICENSE: LGPL

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License (LGPL) as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA,
or see http://www.gnu.org/copyleft/lesser.html
*/

var transparentOrNot = false;
function setTransparent(input) {
    if(input) transparentOrNot = 'class="transparentDiv" ';
    else transparentOrNot = '';
}

var jg_ihtm, jg_ie, jg_fast, jg_dom, jg_moz,
jg_n4 = (document.layers && typeof document.classes != "undefined");

function chkDHTM(x, i)
{
    x = document.body || null;
    jg_ie = x && typeof x.insertAdjacentHTML != "undefined";
    jg_dom = (x && !jg_ie &&
        typeof x.appendChild != "undefined" &&
        typeof document.createRange != "undefined" &&
        typeof (i = document.createRange()).setStartBefore != "undefined" &&
        typeof i.createContextualFragment != "undefined");
    jg_ihtm = !jg_ie && !jg_dom && x && typeof x.innerHTML != "undefined";
    jg_fast = jg_ie && document.all && !window.opera;
    jg_moz = jg_dom && typeof x.style.MozOpacity != "undefined";
}


function pntDoc()
{
    this.wnd.document.write(jg_fast? this.htmRpc() : this.htm);
    this.htm = '';
}


function pntCnvDom()
{
    var x = this.wnd.document.createRange();
    x.setStartBefore(this.cnv);
    x = x.createContextualFragment(jg_fast? this.htmRpc() : this.htm);
    if(this.cnv) this.cnv.appendChild(x);
    this.htm = '';
}


function pntCnvIe()
{
    if(this.cnv) this.cnv.insertAdjacentHTML("BeforeEnd", jg_fast? this.htmRpc() : this.htm);
    this.htm = '';
}


function pntCnvIhtm()
{
    if(this.cnv) this.cnv.innerHTML += this.htm;
    this.htm = '';
}


function pntCnv()
{
    this.htm = '';
}


function mkDiv(x, y, w, h)
{
    this.htm += '<div ' +transparentOrNot +'style="position:absolute;'+
        'left:' + x + 'px;'+
        'top:' + y + 'px;'+
        'width:' + w + 'px;'+
        'height:' + h + 'px;'+
        'clip:rect(0,'+w+'px,'+h+'px,0);'+
        'background-color:' + this.color +
        (!jg_moz? ';overflow:hidden' : '')+
        ';"><\/div>';
}


function mkDivIe(x, y, w, h)
{
    this.htm += '%%'+this.color+';'+x+';'+y+';'+w+';'+h+';';
}


function mkDivPrt(x, y, w, h)
{
    this.htm += '<div ' +transparentOrNot +'style="position:absolute;'+
        'border-left:' + w + 'px solid ' + this.color + ';'+
        'left:' + x + 'px;'+
        'top:' + y + 'px;'+
        'width:0px;'+
        'height:' + h + 'px;'+
        'clip:rect(0,'+w+'px,'+h+'px,0);'+
        'background-color:' + this.color +
        (!jg_moz? ';overflow:hidden' : '')+
        ';"><\/div>';
}


function mkLyr(x, y, w, h)
{
    this.htm += '<layer '+
        'left="' + x + '" '+
        'top="' + y + '" '+
        'width="' + w + '" '+
        'height="' + h + '" '+
        'bgcolor="' + this.color + '"><\/layer>\n';
}


var regex =  /%%([^;]+);([^;]+);([^;]+);([^;]+);([^;]+);/g;
function htmRpc()
{
    return this.htm.replace(
        regex,
        '<div ' +transparentOrNot +'style="overflow:hidden;position:absolute;background-color:'+
        '$1;left:$2;top:$3;width:$4;height:$5"></div>\n');
}


function htmPrtRpc()
{
    return this.htm.replace(
        regex,
        '<div ' +transparentOrNot +'style="overflow:hidden;position:absolute;background-color:'+
        '$1;left:$2;top:$3;width:$4;height:$5;border-left:$4px solid $1"></div>\n');
}


function mkLin(x1, y1, x2, y2)
{
    if (x1 > x2)
    {
        var _x2 = x2;
        var _y2 = y2;
        x2 = x1;
        y2 = y1;
        x1 = _x2;
        y1 = _y2;
    }
    var dx = x2-x1, dy = Math.abs(y2-y1),
    x = x1, y = y1,
    yIncr = (y1 > y2)? -1 : 1;

    if (dx >= dy)
    {
        var pr = dy<<1,
        pru = pr - (dx<<1),
        p = pr-dx,
        ox = x;
        while ((dx--) > 0)
        {
        	++x;
        	if (p > 0)
        	{
        		this.mkDiv(ox, y, x-ox, 1);
        		y += yIncr;
        		p += pru;
        		ox = x;
        	}
        	else p += pr;
        }
        this.mkDiv(ox, y, x2-ox+1, 1);
    }

    else
    {
        var pr = dx<<1,
        pru = pr - (dy<<1),
        p = pr-dy,
        oy = y;
        if (y2 <= y1)
        {
        	while ((dy--) > 0)
        	{
        		if (p > 0)
        		{
        			this.mkDiv(x++, y, 1, oy-y+1);
        			y += yIncr;
        			p += pru;
        			oy = y;
        		}
        		else
        		{
        			y += yIncr;
        			p += pr;
        		}
        	}
        	this.mkDiv(x2, y2, 1, oy-y2+1);
        }
        else
        {
        	while ((dy--) > 0)
        	{
        		y += yIncr;
        		if (p > 0)
        		{
        			this.mkDiv(x++, oy, 1, y-oy);
        			p += pru;
        			oy = y;
        		}
        		else p += pr;
        	}
        	this.mkDiv(x2, oy, 1, y2-oy+1);
        }
    }
}


function mkLin2D(x1, y1, x2, y2)
{
    if (x1 > x2)
    {
        var _x2 = x2;
        var _y2 = y2;
        x2 = x1;
        y2 = y1;
        x1 = _x2;
        y1 = _y2;
    }
    var dx = x2-x1, dy = Math.abs(y2-y1),
    x = x1, y = y1,
    yIncr = (y1 > y2)? -1 : 1;

    var s = this.stroke;
    if (dx >= dy)
    {
        if (dx > 0 && s-3 > 0)
        {
        	var _s = (s*dx*Math.sqrt(1+dy*dy/(dx*dx))-dx-(s>>1)*dy) / dx;
        	_s = (!(s-4)? Math.ceil(_s) : Math.round(_s)) + 1;
        }
        else var _s = s;
        var ad = Math.ceil(s/2);

        var pr = dy<<1,
        pru = pr - (dx<<1),
        p = pr-dx,
        ox = x;
        while ((dx--) > 0)
        {
        	++x;
        	if (p > 0)
        	{
        		this.mkDiv(ox, y, x-ox+ad, _s);
        		y += yIncr;
        		p += pru;
        		ox = x;
        	}
        	else p += pr;
        }
        this.mkDiv(ox, y, x2-ox+ad+1, _s);
    }

    else
    {
        if (s-3 > 0)
        {
        	var _s = (s*dy*Math.sqrt(1+dx*dx/(dy*dy))-(s>>1)*dx-dy) / dy;
        	_s = (!(s-4)? Math.ceil(_s) : Math.round(_s)) + 1;
        }
        else var _s = s;
        var ad = Math.round(s/2);

        var pr = dx<<1,
        pru = pr - (dy<<1),
        p = pr-dy,
        oy = y;
        if (y2 <= y1)
        {
        	++ad;
        	while ((dy--) > 0)
        	{
        		if (p > 0)
        		{
        			this.mkDiv(x++, y, _s, oy-y+ad);
        			y += yIncr;
        			p += pru;
        			oy = y;
        		}
        		else
        		{
        			y += yIncr;
        			p += pr;
        		}
        	}
        	this.mkDiv(x2, y2, _s, oy-y2+ad);
        }
        else
        {
        	while ((dy--) > 0)
        	{
        		y += yIncr;
        		if (p > 0)
        		{
        			this.mkDiv(x++, oy, _s, y-oy+ad);
        			p += pru;
        			oy = y;
        		}
        		else p += pr;
        	}
        	this.mkDiv(x2, oy, _s, y2-oy+ad+1);
        }
    }
}


function mkLinDott(x1, y1, x2, y2)
{
    if (x1 > x2)
    {
        var _x2 = x2;
        var _y2 = y2;
        x2 = x1;
        y2 = y1;
        x1 = _x2;
        y1 = _y2;
    }
    var dx = x2-x1, dy = Math.abs(y2-y1),
    x = x1, y = y1,
    yIncr = (y1 > y2)? -1 : 1,
    drw = true;
    if (dx >= dy)
    {
        var pr = dy<<1,
        pru = pr - (dx<<1),
        p = pr-dx;
        while ((dx--) > 0)
        {
        	if (drw) this.mkDiv(x, y, 1, 1);
        	drw = !drw;
        	if (p > 0)
        	{
        		y += yIncr;
        		p += pru;
        	}
        	else p += pr;
        	++x;
        }
        if (drw) this.mkDiv(x, y, 1, 1);
    }

    else
    {
        var pr = dx<<1,
        pru = pr - (dy<<1),
        p = pr-dy;
        while ((dy--) > 0)
        {
        	if (drw) this.mkDiv(x, y, 1, 1);
        	drw = !drw;
        	y += yIncr;
        	if (p > 0)
        	{
        		++x;
        		p += pru;
        	}
        	else p += pr;
        }
        if (drw) this.mkDiv(x, y, 1, 1);
    }
}


function jsgStroke()
{
    this.DOTTED = -1;
}
var Stroke = new jsgStroke();


function jsGraphics(id, wnd)
{
    this.setColor = new Function('arg', 'this.color = arg.toLowerCase();');

    this.setStroke = function(x)
    {
        this.stroke = x;
        if (!(x+1))
                {
                        this.drawLine = mkLinDott;
                }
                else if (x-1 > 0)
                {
                        this.drawLine = mkLin2D;
                }
                else
                {
                        this.drawLine = mkLin;
                }
    };


    this.setPrintable = function(arg)
    {
        this.printable = arg;
        if (jg_fast)
        {
        	this.mkDiv = mkDivIe;
        	this.htmRpc = arg? htmPrtRpc : htmRpc;
        }
        else this.mkDiv = jg_n4? mkLyr : arg? mkDivPrt : mkDiv;
    };


    this.drawPolyline = this.drawPolyLine = function(x, y, s)
    {
        for (var i=0 ; i<x.length-1 ; i++ )
        	this.drawLine(x[i], y[i], x[i+1], y[i+1]);
    };


    this.fillRect = function(x, y, w, h)
    {
        this.mkDiv(x, y, w, h);
    };


    this.drawPolygon = function(x, y)
    {
        this.drawPolyline(x, y);
        this.drawLine(x[x.length-1], y[x.length-1], x[0], y[0]);
    };


/* fillPolygon method, implemented by Matthieu Haller.
This javascript function is an adaptation of the gdImageFilledPolygon for Walter Zorn lib.
C source of GD 1.8.4 found at http://www.boutell.com/gd/

THANKS to Kirsten Schulz for the polygon fixes!

The intersection finding technique of this code could be improved
by remembering the previous intertersection, and by using the slope.
That could help to adjust intersections to produce a nice
interior_extrema. */
    this.fillPolygon = function(array_x, array_y)
    {
        var i;
        var y;
        var miny, maxy;
        var x1, y1;
        var x2, y2;
        var ind1, ind2;
        var ints;

        var n = array_x.length;

        if (!n) return;


        miny = array_y[0];
        maxy = array_y[0];
        for (i = 1; i < n; i++)
        {
        	if (array_y[i] < miny)
        		miny = array_y[i];

        	if (array_y[i] > maxy)
        		maxy = array_y[i];
        }
        for (y = miny; y <= maxy; y++)
        {
        	var polyInts = new Array();
        	ints = 0;
        	for (i = 0; i < n; i++)
        	{
        		if (!i)
        		{
        			ind1 = n-1;
        			ind2 = 0;
        		}
        		else
        		{
        			ind1 = i-1;
        			ind2 = i;
        		}
        		y1 = array_y[ind1];
        		y2 = array_y[ind2];
        		if (y1 < y2)
        		{
        			x1 = array_x[ind1];
        			x2 = array_x[ind2];
        		}
        		else if (y1 > y2)
        		{
        			y2 = array_y[ind1];
        			y1 = array_y[ind2];
        			x2 = array_x[ind1];
        			x1 = array_x[ind2];
        		}
        		else continue;

        		 // modified 11. 2. 2004 Walter Zorn
        		if ((y >= y1) && (y < y2))
        			polyInts[ints++] = Math.round((y-y1) * (x2-x1) / (y2-y1) + x1);

        		else if ((y == maxy) && (y > y1) && (y <= y2))
        			polyInts[ints++] = Math.round((y-y1) * (x2-x1) / (y2-y1) + x1);
        	}
        	polyInts.sort(integer_compare);
        	for (i = 0; i < ints; i+=2)
        		this.mkDiv(polyInts[i], y, polyInts[i+1]-polyInts[i]+1, 1);
        }
    };

    
    this.clear = function()
    {
        this.htm = "";
        if (this.cnv) this.cnv.innerHTML = this.defhtm;
    };


    this.htm = '';
    this.wnd = wnd || window;

    if (!(jg_ie || jg_dom || jg_ihtm)) chkDHTM();
    if (typeof id != 'string' || !id) this.paint = pntDoc;
    else
    {
        this.cnv = document.all? (this.wnd.document.all[id] || null)
        	: document.getElementById? (this.wnd.document.getElementById(id) || null)
        	: null;
        this.defhtm = (this.cnv && this.cnv.innerHTML)? this.cnv.innerHTML : '';
        this.paint = jg_dom? pntCnvDom : jg_ie? pntCnvIe : jg_ihtm? pntCnvIhtm : pntCnv;
    }

    this.setPrintable(false);
}


function integer_compare(x,y)
{
    return (x < y) ? -1 : ((x > y)*1);
}


/*****************************************************************************
Tushar Bhatnagar
*****************************************************************************/

var squareSize = 7;
var offsetSquare = Math.floor(squareSize/2);

var boardArray = new Array();
var currentBoard = false;

var squaresArray = new Array();    //holds each square object from DOM
//initial positions for the sqaures
var initx = new Array();
var inity = new Array();
initx[0] = Math.floor(imageWidth/9);
inity[0] = Math.floor(imageHeight/9);
initx[1] = Math.floor(imageWidth*(9/10));
inity[1] = Math.floor(imageHeight/9);
initx[2] = Math.floor(imageWidth*(9/10));
inity[2] = Math.floor(imageHeight*(9/10));
initx[3] = Math.floor(imageWidth/9);
inity[3] = Math.floor(imageHeight*(9/10));
//

function initBoardControls() {
    initSquares();
    initdragableElements();
    makeTransparentPoly();
}

function totalBoards() {
    return boardArray.length;
}

function Board(num) {
    this.alreadySaved = false;
    this.boardNum = num;
    this.panAmt = 0;
    this.tiltAmt = 0;
    this.zoomAmt = 0;
    this.focusAmt = 0;
    this.x = new Array();
    this.y = new Array();
    this.x[0] = initx[0];
    this.y[0] = inity[0];
    this.x[1] = initx[1];
    this.y[1] = inity[1];
    this.x[2] = initx[2];
    this.y[2] = inity[2];
    this.x[3] = initx[3];
    this.y[3] = inity[3];
}

function newBoard(firstBoard) {
    if(!firstBoard) {
        currentBoard = totalBoards();
        boardArray[currentBoard] = new Board(currentBoard);
        moveSquares(false);
    }
    else {    //this is the first board
        currentBoard = 0;
        boardArray[currentBoard] = new Board(currentBoard);
        //do not move squares because they are already there
    }
    
    //deactivate the newboard button
    document.getElementById('newBoardButton').disabled="disabled";
    //
    //iconify the board
    iconify();
    //
    //update status
    updateStatus('Board ' +(currentBoard+1) +' created. You are currently editing board ' + (currentBoard+1) +'.', '');
    //
}

function iconify() {
    if(!boardArray[currentBoard].alreadySaved) {
        var savedBoards = document.getElementById('savedBoards');
        var a = document.createElement('A');
        a.href = 'javascript:loadBoard(' +currentBoard+ ');';
        a.innerHTML = 'Board ' +(currentBoard+1) +'<br />';
        savedBoards.appendChild(a);
        boardArray[currentBoard].alreadySaved = true;
    }
}

function saveBoard() {
    //only if it is ok to move, then save
    if(oktoMove && oktoZoom) {
        //save coordinates and cam position to Board object 
        for (var i = 0; i < 4; i++) {
            boardArray[currentBoard].x[i] = x_paint[i];
            boardArray[currentBoard].y[i] = y_paint[i];
        }
        getCamPos();    //only gets the cam position, does not save to board until ajax returns and calls saveCamPosToBoard()
        //
    }
    else {
        updateStatus('Please wait until the camera has stopped moving to save the board.', 'error');
    }
}

function saveCamPosToBoard(currptzf) {    //pretty much a cont of saveBoard() that is called by the onreadyState function of ajax
    boardArray[currentBoard].pan = currptzf[0];
    boardArray[currentBoard].tilt = currptzf[1];
    boardArray[currentBoard].zoom = currptzf[2];
    boardArray[currentBoard].focus = currptzf[3];
        
    //update status
    updateStatus('Board ' +(currentBoard+1) +' saved. You are currently editing board ' +(currentBoard+1) +'.', '');
    //
    
    boardArray[currentBoard].alreadySaved = true;
    document.getElementById('newBoardButton').disabled="";
}

function loadBoard(num) {
    if(oktoMove && oktoZoom && boardArray[num].alreadySaved) {
        currentBoard = num;
        moveCam(true, true, true,
                boardArray[currentBoard].pan,
                boardArray[currentBoard].tilt,
                boardArray[currentBoard].zoom,
                false);
        moveSquares(true);
        
        //update status
        updateStatus('Board ' +(currentBoard+1) +' loaded. You are currently editing board ' + (currentBoard+1) +'.', '');
        //
    }
}

function saveBoardsToFile() {
    var fileString = totalBoards();
    fileString += ",";
    for(var i = 0; i < totalBoards(); i++) {
        fileString += boardArray[i].pan +",";
        fileString += boardArray[i].tilt +",";
        fileString += boardArray[i].zoom +",";
        fileString += boardArray[i].focus +",";
        fileString += boardArray[i].x[0] +",";
        fileString += boardArray[i].y[0] +",";
        fileString += boardArray[i].x[1] +",";
        fileString += boardArray[i].y[1] +",";
        fileString += boardArray[i].x[2] +",";
        fileString += boardArray[i].y[2] +",";
        fileString += boardArray[i].x[3] +",";
        fileString += boardArray[i].y[3] +",";
    }
    
    var xmlhttp = new XMLHttpRequest();
    
    var url = 'common.php?type=SaveBoards';
    url += '&fileString=' +fileString;
    url += '&room=' +room;
    url += '&newRoom=' +newRoom;
    url += '&prettyRoom=' +prettyRoom;
    url += '&rnd=' + Math.random();
    xmlhttp.open('GET',url,true);
    
    xmlhttp.onreadystatechange = function() {
        if (xmlhttp.readyState == 4) {
            //go to lecture recording page
            var url = 'lecture.php?room=' +room;
            url += '&newRoom=' +newRoom;
            url += '&prettyRoom=' +prettyRoom;
            url += '&numBoards=' +(totalBoards());
            window.location = url;
        }
    }
    
    xmlhttp.send(null);
}

function loadBoardsFromFile() {
    var xmlhttp = new XMLHttpRequest();
    
    var url = 'common.php?type=LoadBoards';
    url += '&room=' +room;
    url += '&rnd=' + Math.random();
    xmlhttp.open('GET',url,true);
    
    xmlhttp.onreadystatechange = function() {
        if (xmlhttp.readyState == 4) {
            var response = xmlhttp.responseText;
            var responseArray = new Array();
            responseArray = response.split("\n");
            //convert to ints
            for(var i = 0; i < responseArray.length; i++) {
                responseArray[i] = responseArray[i] * 1;
            }
            
            //load data to boards
            var numberOfBoards = responseArray[0];
            var j = 1;
            for(var i = 0; i < numberOfBoards; i++) {
                if(i == 0) newBoard(true);
                else newBoard(false);
                boardArray[i].alreadySaved = true;
                boardArray[i].pan = responseArray[j]; j++;
                boardArray[i].tilt = responseArray[j]; j++;
                boardArray[i].zoom = responseArray[j]; j++;
                boardArray[i].focus = responseArray[j]; j++;
                boardArray[i].x[0] = responseArray[j]; j++;
                boardArray[i].y[0] = responseArray[j]; j++;
                boardArray[i].x[1] = responseArray[j]; j++;
                boardArray[i].y[1] = responseArray[j]; j++;
                boardArray[i].x[2] = responseArray[j]; j++;
                boardArray[i].y[2] = responseArray[j]; j++;
                boardArray[i].x[3] = responseArray[j]; j++;
                boardArray[i].y[3] = responseArray[j]; j++;
            }
            //

            document.getElementById('newBoardButton').disabled="";
            //update status
            updateStatus('Board ' +(currentBoard+1) +' loaded. You are currently editing board ' + (currentBoard+1) +'.', '');
            //
        }
    }
    
    xmlhttp.send(null);
}

function updateStatus(updateString, className) {
    var formattedUpdateString;
    
    if(className != '') {
        className = ' class="' +className +'"';
    }
    
    formattedUpdateString = '<div' +className +'>';
    formattedUpdateString += updateString;
    formattedUpdateString += '</div>';
     
    var divStatus = document.getElementById('divStatus');
    divStatus.innerHTML = formattedUpdateString;
}

function moveSquares(afterLoad) {
    clearCanvas();
    
    var offset;
    if(afterLoad) offset = offsetSquare;
    else offset = 0;
    
    for (var i = 0; i < 4; i++) {
        squaresArray[i].style.left = (boardArray[currentBoard].x[i] - offset) + 'px';
        squaresArray[i].style.top = (boardArray[currentBoard].y[i] - offset) + 'px';
        dragObjCloneArray[i].style.left = (boardArray[currentBoard].x[i] - offset) + 'px';
        dragObjCloneArray[i].style.top = (boardArray[currentBoard].y[i] - offset) + 'px';
    }
    
    makeTransparentPoly();
}

var x_paint = new Array();
var y_paint = new Array();
function update() {
    for (var i = 0; i < 4; i++) {
        x_paint[i] = (dragObjCloneArray[i].style.left.replace('px','')/1) + offsetSquare;
        y_paint[i] = (dragObjCloneArray[i].style.top.replace('px','')/1) + offsetSquare;
    }
    
    setTransparent(false);
    jg.drawPolygon(x_paint, y_paint);
    jg.paint();
}

function makeTransparentPoly() {
    clearCanvas();
    update();
        
    for (var i = 0; i < 4; i++) {
        x_paint[i] = (dragObjCloneArray[i].style.left.replace('px','')/1) + offsetSquare;
        y_paint[i] = (dragObjCloneArray[i].style.top.replace('px','')/1) + offsetSquare;
    }

    setTransparent(true);
    jg.fillPolygon(x_paint, y_paint);
    jg.paint();
}

function clearCanvas() {
    jg.clear();
}

function initSquares()
{
    //initialize new board
    if(newRoom == true) newBoard(true);
    //
     
    //create and position 4 small squares within container
    var container = document.getElementById('container');
    var squareTl, squareTr, squareBr, squareBl;
    
    squareTl = document.createElement('IMG');
    squareTl.src = 'images/square.gif';
    squareTl.id = 'boxTl';
    squareTl.className = 'dragableElement';
    squareTl.width = squareSize;
    squareTl.height = squareSize;
    squareTl.style.position = 'absolute';
    squareTl.style.left = initx[0] + 'px';
    squareTl.style.top = inity[0] + 'px';
    squareTl.onmouseup = makeTransparentPoly;
    container.appendChild(squareTl);
    
    squareTr = document.createElement('IMG');
    squareTr.src = 'images/square.gif';
    squareTr.id = 'boxTr';
    squareTr.className = 'dragableElement';
    squareTr.width = squareSize;
    squareTr.height = squareSize;
    squareTr.style.position = 'absolute';
    squareTr.style.left = initx[1] + 'px';
    squareTr.style.top = inity[1] + 'px';
    squareTr.onmouseup = makeTransparentPoly;
    container.appendChild(squareTr);
    
    squareBr = document.createElement('IMG');
    squareBr.src = 'images/square.gif';
    squareBr.id = 'boxBr';
    squareBr.className = 'dragableElement';
    squareBr.width = squareSize;
    squareBr.height = squareSize;
    squareBr.style.position = 'absolute';
    squareBr.style.left =  initx[2] + 'px';
    squareBr.style.top = inity[2] + 'px';
    squareBr.onmouseup = makeTransparentPoly;
    container.appendChild(squareBr);
    
    squareBl = document.createElement('IMG');
    squareBl.src = 'images/square.gif';
    squareBl.id = 'boxBl';
    squareBl.className = 'dragableElement';
    squareBl.width = squareSize;
    squareBl.height = squareSize;
    squareBl.style.position = 'absolute';
    squareBl.style.left = initx[3] + 'px';
    squareBl.style.top = inity[3] + 'px';
    squareBl.onmouseup = makeTransparentPoly;
    container.appendChild(squareBl);
    
    squaresArray[0] = squareTl;
    squaresArray[1] = squareTr;
    squaresArray[2] = squareBr;
    squaresArray[3] = squareBl;
    //
    
    //if old config, load it
    if(newRoom != true) {
        loadBoardsFromFile();
    }
    //
}
