<?php
/* ====================================================================
 * Copyright (c) 2010 The Regents of the University of Michigan and
 * The European Organization for Nuclear Research (CERN). Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
  ==================================================================== */

    $building = $_GET['building'];
    $roomNum = $_GET['roomNum'];
    $prettyRoom = $building .' ' .$roomNum;
    $room = str_replace(' ', '', strtolower($building)) .$roomNum;
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>MScribe - Take Reference Image</title>

<script type="text/javascript">
    var imageWidth = 384;
    var imageHeight = 240;
    var offsetLeftIE = 5;    //set according to total offset left of the canvas
    var room = '<?php echo $room; ?>';
    var newRoom = true;
    var prettyRoom = '<?php echo $prettyRoom; ?>';
</script>
<script type="text/javascript" src="navigation.js"></script>
<script type="text/javascript" src="cameracontrol.js"></script>
<script type="text/javascript" src="board.js"></script>
<script type="text/javascript" src="sarissa.js"></script>
<link rel="stylesheet" type="text/css" href="main.css"/>
</head>

<body onload="javascript:checkCam();initCamControls(false, 100);">
<?php include("header.php"); ?>

<div style="width:400px;font-size:12px;font-family:arial;"><b>Once the camera has stopped moving and zooming and everything is stable</b>, press the 'Take Reference Image' button. This reference image will be used to setup the system faster in the future.</div>
<input id="takeRefButton" type="button" value="Take Reference Image" onclick="javascript:takeRef();" /><br /><br />

<img src="cam.jpg" id="cam"><br />

<div style="width:400px;font-size:12px;font-family:arial;"><b>Once you have taken a reference image as instructed above</b>, press the 'Next' button to procede to setting up boards, if there are any.</div>
<input id="nextButton" disabled="disabled" type="button" value="Next" onclick="javascript:toBoardFromRef();" />

<?php include("footer.php"); ?>
</body>
</html>
